import QtQuick 2.0
import QtQuick.Controls 2.0

Item {
    id: control

    property string fontName
    property color color
    property string icon: "\uf850"

    Label {
        anchors.fill: parent

        text: control.icon

        font.styleName: control.fontName
        color: control.color

        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter

        fontSizeMode: Text.Fit
        font.pixelSize: height
        minimumPixelSize: 1

    }
}
